Skip to main content

Retrieve Card Hash


Use this information to retrieve card hash details, which include the instrument identifier token and payment instrument token.

Endpoints

GET /tms/v1/paymentinstruments/{id}

GET /tms/v1/paymentinstruments/{id}

The id is the transient token identifier assigned by the contactless terminal.

{}
{  "_links": {    "self": {      "href": "/tms/v1/paymentinstruments/CD98B27F62A8AECBE053AF598E0AF965"    }  },  "id": "CD98B27F62A8AECBE053AF598E0AF965",  "object": "paymentInstrument",  "state": "ACTIVE",  "type": "cardHash",  "card": {    "expirationMonth": "12",    "expirationYear": "2030",    "type": "visa",    "hash": "7400A4154369E584BA36CA19B50AAA3F9AE97FEAE64B3E87B2B93CF8FBC97777"  },  "metadata": {    "creator": "tml_tap02"  },  "_embedded": {    "instrumentIdentifier": {      "_links": {        "self": {          "href": "/tms/v1/instrumentidentifiers/CD616772D8355EA6E053AF598E0AE794"        },        "paymentInstruments": {          "href": "/tms/v1/instrumentidentifiers/CD616772D8355EA6E053AF598E0AE794/paymentinstruments"        }      },      "id": "CD616772D8355EA6E053AF598E0AE794",      "object": "instrumentIdentifier",      "state": "ACTIVE",      "card": {        "number": "476173XXXXXXXXXX"      },      "processingInformation": {        "authorizationOptions": {          "initiator": {            "merchantInitiatedTransaction": {              "previousTransactionId": "016153570198200"            }          }        }      },      "metadata": {        "creator": "tml_tap01"      }    }  }}

Last published: September 29, 2026